%define	module	HTTP-Body
%define	name	perl-%{module}
%define version 0.9
%define release %mkrel 1

Summary:	HTTP Body Parser
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHANSEN/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRequires:  perl-YAML
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
Perl module to parse HTTP request bodies.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean 
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/HTTP/Body/*
%{perl_vendorlib}/HTTP/Body.pm
%{_mandir}/man3/*



%changelog
* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.9-1mdv2008.0
+ Revision: 20161
- 0.9

  + Mandriva <devel@mandriva.com>


* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-1mdk
- New release 0.6
- Add BuildRequire
- Fix source url
- use mkrel

* Sat Dec 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.5-1mdk
- Initial MDV package

